package click.kamil.examples.statemachine.polymorphic;

public class MysteryPayload implements CustomCodeEventInterface {
    @Override
    public OrderEvents resolveEventCode() {
        int a = (int) (Math.random() * 10);
        return a > 5 ? OrderEvents.ABCD : OrderEvents.PAY;
    }
}
